package postgres

import "embed"

var (
	DDLAssetPath = "ddl"

	//go:embed ddl/*.sql
	DDLAssets embed.FS

	//go:embed dml/deleteDeviceByID.sql
	DeleteDeviceByIDSQL string

	//go:embed dml/deleteDeviceByName.sql
	DeleteDeviceByNameSQL string

	//go:embed dml/deleteSensorByID.sql
	DeleteSensorByIDSQL string

	//go:embed dml/deleteSensorByName.sql
	DeleteSensorByNameSQL string

	//go:embed dml/insertDevice.sql
	InsertDeviceSQL string

	//go:embed dml/insertHumidity.sql
	InsertHumiditySQL string

	//go:embed dml/insertOrUpdateDevice.sql
	InsertOrUpdateDeviceSQL string

	//go:embed dml/insertOrUpdateHumidity.sql
	InsertOrUpdateHumiditySQL string

	//go:embed dml/insertOrUpdatePressure.sql
	InsertOrUpdatePressureSQL string

	//go:embed dml/insertOrUpdateSensor.sql
	InsertOrUpdateSensorSQL string

	//go:embed dml/insertOrUpdateTemperature.sql
	InsertOrUpdateTemperatureSQL string

	//go:embed dml/insertPressure.sql
	InsertPressureSQL string

	//go:embed dml/insertSensor.sql
	InsertSensorSQL string

	//go:embed dml/insertTemperature.sql
	InsertTemperatureSQL string

	//go:embed dml/selectDeviceByID.sql
	SelectDeviceByIDSQL string

	//go:embed dml/selectDeviceByName.sql
	SelectDeviceByNameSQL string

	//go:embed dml/selectDevices.sql
	SelectDevicesSQL string

	//go:embed dml/selectHumidities.sql
	SelectHumiditiesSQL string

	//go:embed dml/selectHumidityByID.sql
	SelectHumidityByIDSQL string

	//go:embed dml/selectPressureByID.sql
	SelectPressureByIDSQL string

	//go:embed dml/selectPressures.sql
	SelectPressuresSQL string

	//go:embed dml/selectSensorByID.sql
	SelectSensorByIDSQL string

	//go:embed dml/selectSensors.sql
	SelectSensorsSQL string

	//go:embed dml/selectSensorsByDeviceID.sql
	SelectSensorsByDeviceIDSQL string

	//go:embed dml/selectSensorsByModel.sql
	SelectSensorsByModelSQL string

	//go:embed dml/selectSensorsByName.sql
	SelectSensorsByNameSQL string

	//go:embed dml/selectTemperatureByID.sql
	SelectTemperatureByIDSQL string

	//go:embed dml/selectTemperatures.sql
	SelectTemperaturesSQL string

	//go:embed dml/updateDevice.sql
	UpdateDeviceSQL string

	//go:embed dml/updateSensor.sql
	UpdateSensorSQL string
)
