package main

import (
	"log"

	"git.cryptic.systems/volker.raschek/flucky/cli"

	_ "github.com/golang-migrate/migrate/v4/database/postgres"
	_ "github.com/golang-migrate/migrate/v4/database/sqlite3"
	_ "github.com/lib/pq"
	_ "github.com/mattn/go-sqlite3"
)

var (
	version string
)

func main() {
	err := cli.Execute(version)
	if err != nil {
		log.Println(err)
	}
}
